"""
    comp_module_static_nastran.py
"""
from openmdao.lib.datatypes.api import Float

from nastranwrapper.nastran import NastranComponent

class Comp_Module(NastranComponent):
    """ Model of a composite model """

    def mass(filep):
        filep.reset_anchor()
        filep.mark_anchor("MASS AXIS SYSTEM (S)")
        return filep.transfer_var(1, 2)

    weight = Float(0., nastran_func=mass, iotype='out', units='lb',
                        desc='Weight of the structure')

    def execute(self):

        super(Comp_Module, self).execute()
